Name:          ibus-qt
Version:       1.3.4
Release:       1mamba
Summary:       ibus qt library and ibus qt input method plugin
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/ibus/ibus-qt
Source:        https://github.com/ibus/ibus-qt.git/%{version}/ibus-qt-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libICE-devel
BuildRequires: libSM-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: libdbus-devel
BuildRequires: libgcc
BuildRequires: libicu-devel
BuildRequires: libqt4-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
ibus qt library and ibus qt input method plugin.

%package -n lib%{name}
Group:         System/Libraries
Summary:       ibus qt library and ibus qt input method plugin

%description -n lib%{name}
ibus qt library and ibus qt input method plugin.
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.


%debug_package

%prep
%setup -q

%build
%cmake -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files -n lib%{name}
%defattr(-,root,root)
%{_prefix}/lib/libibus-qt.so.*
%doc AUTHORS COPYING

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/ibus-qt
%{_includedir}/ibus-qt/*.h
%{_prefix}/lib/libibus-qt.so
%{_libdir}/qt4/plugins/inputmethods/libqtim-ibus.so
%doc README TODO

%changelog
* Mon Aug 01 2022 Automatic Build System <autodist@mambasoft.it> 1.3.4-1mamba
- automatic version update by autodist

* Sun Dec 06 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.3-1mamba
- package created using the webbuild interface
